<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1478pt" height="352pt"
 viewBox="0.00 0.00 1478.00 352.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 348)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-348 1474,-348 1474,4 -4,4"/>
<text text-anchor="start" x="714.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="501,-10 501,-30 521,-30 521,-10 501,-10"/>
<text text-anchor="start" x="524.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="614,-10 614,-30 634,-30 634,-10 614,-10"/>
<text text-anchor="start" x="637.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="700,-10 700,-30 720,-30 720,-10 700,-10"/>
<text text-anchor="start" x="723.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="797,-10 797,-30 817,-30 817,-10 797,-10"/>
<text text-anchor="start" x="820.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="893,-10 893,-30 913,-30 913,-10 893,-10"/>
<text text-anchor="start" x="916.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="148,-146 148,-336 280,-336 280,-146 148,-146"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="164,-154 164,-271 272,-271 272,-154 164,-154"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_AuthModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="288,-146 288,-214 1462,-214 1462,-146 288,-146"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_AuthModule_exports</title>
<polygon fill="none" stroke="black" points="1348,-154 1348,-206 1454,-206 1454,-154 1348,-154"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_AuthModule_providers</title>
<polygon fill="none" stroke="black" points="296,-154 296,-206 1340,-206 1340,-154 296,-154"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_UsersModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-138 404,-138 404,-70 8,-70"/>
</g>
<g id="clust16" class="cluster">
<title>cluster_UsersModule_exports</title>
<polygon fill="none" stroke="black" points="286,-78 286,-130 396,-130 396,-78 286,-78"/>
</g>
<g id="clust18" class="cluster">
<title>cluster_UsersModule_providers</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 278,-130 278,-78 16,-78"/>
</g>
<!-- AuthModule -->
<g id="node1" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="263.55,-263 260.55,-267 239.55,-267 236.55,-263 176.45,-263 176.45,-227 263.55,-227 263.55,-263"/>
<text text-anchor="middle" x="220" y="-240.8" font-family="Times,serif" font-size="14.00">AuthModule</text>
</g>
<!-- AppModule -->
<g id="node3" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="250.66,-328 247.66,-332 226.66,-332 223.66,-328 167.34,-328 167.34,-292 250.66,-292 250.66,-328"/>
<text text-anchor="middle" x="209" y="-305.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AuthModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AuthModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M213.53,-263.11C213.53,-263.11 213.53,-281.99 213.53,-281.99"/>
<polygon fill="black" stroke="black" points="210.03,-281.99 213.53,-291.99 217.03,-281.99 210.03,-281.99"/>
</g>
<!-- AuthService  -->
<g id="node4" class="node">
<title>AuthService </title>
<polygon fill="#fb8072" stroke="black" points="1445.98,-198 1356.02,-198 1356.02,-162 1445.98,-162 1445.98,-198"/>
<text text-anchor="middle" x="1401" y="-175.8" font-family="Times,serif" font-size="14.00">AuthService </text>
</g>
<!-- AuthModule&#45;&gt;AuthService  -->
<g id="edge4" class="edge">
<title>AuthModule&#45;&gt;AuthService </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M263.79,-259C477.52,-259 1401,-259 1401,-259 1401,-259 1401,-208.32 1401,-208.32"/>
<polygon fill="black" stroke="black" points="1404.5,-208.32 1401,-198.32 1397.5,-208.32 1404.5,-208.32"/>
</g>
<!-- UsersModule -->
<g id="node2" class="node">
<title>UsersModule</title>
<polygon fill="#8dd3c7" stroke="black" points="263.92,-198 260.92,-202 239.92,-202 236.92,-198 172.08,-198 172.08,-162 263.92,-162 263.92,-198"/>
<text text-anchor="middle" x="218" y="-175.8" font-family="Times,serif" font-size="14.00">UsersModule</text>
</g>
<!-- UsersModule&#45;&gt;AuthModule -->
<g id="edge3" class="edge">
<title>UsersModule&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M219.97,-198.11C219.97,-198.11 219.97,-216.99 219.97,-216.99"/>
<polygon fill="black" stroke="black" points="216.47,-216.99 219.97,-226.99 223.47,-216.99 216.47,-216.99"/>
</g>
<!-- UsersModule&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>UsersModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M172.15,-186C163.5,-186 157.09,-186 157.09,-186 157.09,-186 157.09,-310 157.09,-310 157.09,-310 158.09,-310 158.09,-310"/>
<polygon fill="black" stroke="black" points="157.1,-313.5 167.1,-310 157.1,-306.5 157.1,-313.5"/>
</g>
<!-- UsersService  -->
<g id="node11" class="node">
<title>UsersService </title>
<polygon fill="#fb8072" stroke="black" points="387.85,-122 294.15,-122 294.15,-86 387.85,-86 387.85,-122"/>
<text text-anchor="middle" x="341" y="-99.8" font-family="Times,serif" font-size="14.00">UsersService </text>
</g>
<!-- UsersModule&#45;&gt;UsersService  -->
<g id="edge11" class="edge">
<title>UsersModule&#45;&gt;UsersService </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M263.78,-180C282.18,-180 299.13,-180 299.13,-180 299.13,-180 299.13,-132.01 299.13,-132.01"/>
<polygon fill="black" stroke="black" points="302.63,-132.01 299.13,-122.01 295.63,-132.01 302.63,-132.01"/>
</g>
<!-- AuthService -->
<g id="node5" class="node">
<title>AuthService</title>
<ellipse fill="#fdb462" stroke="black" cx="1273" cy="-180" rx="59.11" ry="18"/>
<text text-anchor="middle" x="1273" y="-175.8" font-family="Times,serif" font-size="14.00">AuthService</text>
</g>
<!-- AuthService&#45;&gt;AuthModule -->
<g id="edge5" class="edge">
<title>AuthService&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M1273,-198.29C1273,-220.21 1273,-254 1273,-254 1273,-254 273.57,-254 273.57,-254"/>
<polygon fill="black" stroke="black" points="273.57,-250.5 263.57,-254 273.57,-257.5 273.57,-250.5"/>
</g>
<!-- FacebookAdminStrategy -->
<g id="node6" class="node">
<title>FacebookAdminStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="1088" cy="-180" rx="107.67" ry="18"/>
<text text-anchor="middle" x="1088" y="-175.8" font-family="Times,serif" font-size="14.00">FacebookAdminStrategy</text>
</g>
<!-- FacebookAdminStrategy&#45;&gt;AuthModule -->
<g id="edge6" class="edge">
<title>FacebookAdminStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M1088,-198.03C1088,-218.77 1088,-250 1088,-250 1088,-250 273.64,-250 273.64,-250"/>
<polygon fill="black" stroke="black" points="273.64,-246.5 263.64,-250 273.64,-253.5 273.64,-246.5"/>
</g>
<!-- FacebookStrategy -->
<g id="node7" class="node">
<title>FacebookStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="882" cy="-180" rx="80.52" ry="18"/>
<text text-anchor="middle" x="882" y="-175.8" font-family="Times,serif" font-size="14.00">FacebookStrategy</text>
</g>
<!-- FacebookStrategy&#45;&gt;AuthModule -->
<g id="edge7" class="edge">
<title>FacebookStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M882,-198.11C882,-217.34 882,-245 882,-245 882,-245 273.69,-245 273.69,-245"/>
<polygon fill="black" stroke="black" points="273.69,-241.5 263.69,-245 273.69,-248.5 273.69,-241.5"/>
</g>
<!-- JwtStrategy -->
<g id="node8" class="node">
<title>JwtStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="727" cy="-180" rx="56.76" ry="18"/>
<text text-anchor="middle" x="727" y="-175.8" font-family="Times,serif" font-size="14.00">JwtStrategy</text>
</g>
<!-- JwtStrategy&#45;&gt;AuthModule -->
<g id="edge8" class="edge">
<title>JwtStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M727,-198.3C727,-216.27 727,-241 727,-241 727,-241 273.67,-241 273.67,-241"/>
<polygon fill="black" stroke="black" points="273.67,-237.5 263.67,-241 273.67,-244.5 273.67,-237.5"/>
</g>
<!-- LocalStrategy -->
<g id="node9" class="node">
<title>LocalStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="587" cy="-180" rx="65.41" ry="18"/>
<text text-anchor="middle" x="587" y="-175.8" font-family="Times,serif" font-size="14.00">LocalStrategy</text>
</g>
<!-- LocalStrategy&#45;&gt;AuthModule -->
<g id="edge9" class="edge">
<title>LocalStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M587,-198.03C587,-214.4 587,-236 587,-236 587,-236 273.9,-236 273.9,-236"/>
<polygon fill="black" stroke="black" points="273.9,-232.5 263.9,-236 273.9,-239.5 273.9,-232.5"/>
</g>
<!-- SocialAccountStrategy -->
<g id="node10" class="node">
<title>SocialAccountStrategy</title>
<ellipse fill="#fdb462" stroke="black" cx="404" cy="-180" rx="100.14" ry="18"/>
<text text-anchor="middle" x="404" y="-175.8" font-family="Times,serif" font-size="14.00">SocialAccountStrategy</text>
</g>
<!-- SocialAccountStrategy&#45;&gt;AuthModule -->
<g id="edge10" class="edge">
<title>SocialAccountStrategy&#45;&gt;AuthModule</title>
<path fill="none" stroke="black" d="M404,-198.19C404,-213.18 404,-232 404,-232 404,-232 273.61,-232 273.61,-232"/>
<polygon fill="black" stroke="black" points="273.61,-228.5 263.61,-232 273.61,-235.5 273.61,-228.5"/>
</g>
<!-- UserSagas -->
<g id="node12" class="node">
<title>UserSagas</title>
<ellipse fill="#fdb462" stroke="black" cx="218" cy="-104" rx="51.58" ry="18"/>
<text text-anchor="middle" x="218" y="-99.8" font-family="Times,serif" font-size="14.00">UserSagas</text>
</g>
<!-- UserSagas&#45;&gt;UsersModule -->
<g id="edge12" class="edge">
<title>UserSagas&#45;&gt;UsersModule</title>
<path fill="none" stroke="black" d="M218,-122.01C218,-122.01 218,-151.85 218,-151.85"/>
<polygon fill="black" stroke="black" points="214.5,-151.85 218,-161.85 221.5,-151.85 214.5,-151.85"/>
</g>
<!-- UsersService -->
<g id="node13" class="node">
<title>UsersService</title>
<ellipse fill="#fdb462" stroke="black" cx="86" cy="-104" rx="61.95" ry="18"/>
<text text-anchor="middle" x="86" y="-99.8" font-family="Times,serif" font-size="14.00">UsersService</text>
</g>
<!-- UsersService&#45;&gt;UsersModule -->
<g id="edge13" class="edge">
<title>UsersService&#45;&gt;UsersModule</title>
<path fill="none" stroke="black" d="M86,-122.03C86,-142.77 86,-174 86,-174 86,-174 162.2,-174 162.2,-174"/>
<polygon fill="black" stroke="black" points="162.2,-177.5 172.2,-174 162.2,-170.5 162.2,-177.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">3 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-swap"></span></h4>
                    <p class="card-text">7 Controllers</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">19 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">17 Classes</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-lock"></span></h4>
                    <p class="card-text">3 Guards</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">34 Interfaces</p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 











                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
